# -*- coding: utf-8 -*-
import contacts.models as c_models


class AddUserProfileMiddleware(object):
    """
    If user is authenticated, add Profil helper class to session
    """
#    def __init__(self):
#        pass

    @staticmethod
    def process_request(request):
        "spice HttpRequest with GetUserProfile"
        if request.user.is_authenticated():
            adh = c_models.AdhLogin.objects.get(pk=request.user.pk)
            request.adh = adh if adh.is_adherent() else None
        else:
            request.adh = None

        
