# -*- coding: utf-8 -*-
import sys
try:
    from settings_default import *
except ImportError, e:
    print """
    -------------------------------------------------------------------------
    Note to developper: the settings is not properly configured.
    1. Move the original settings.py to settings_default.py
    2. Clean default_settings from all secret, password
      -> move any password to settings_local.py
    -------------------------------------------------------------------------
    """
    sys.exit(1)

if not 'PROJECT_PATH' in globals():
    print """
    -------------------------------------------------------------------------
    Note to developper: the settings is not properly configured.
    1. Add the following code to settings/default_settings.py
    import os.path
    PROJECT_PATH = os.path.dirname(__file__) or '.'
    -------------------------------------------------------------------------
    """
    sys.exit(1)

try:
    from settings_local import *
except ImportError, e:
    print """
    -------------------------------------------------------------------------
    You need to create a settings_local.py file which needs to
    contain at least database connection information.

    In settings, copy settings_local.py.sample to settings_local.py and edit it.
    -------------------------------------------------------------------------
    """
    sys.exit(1)

# just use sqlite in-memory database for test
# avoid the hassle to create and destroy a full postgres SQL database
if 'test' in sys.argv:
    DATABASES['default'] = {'ENGINE': 'django.db.backends.sqlite3'}
# End of file
