#!/usr/bin/env python
from distutils.core import setup

from VERSION import APP_VERSION
with open("README.md") as f:
    long_desc = f.read()

setup(name='GabConv',
      version=APP_VERSION,
      description="GabConv: farmer conversion from conventionnal to organic",
      long_description=long_desc,
      author='Cliss XXI',
      author_email="vincent.adolphe@cliss21.org",
      license='AGPL',
      url='http://trac.interne.cliss21.org/gabnor-contacts',
      packages=['gabconv'],
      classifiers=[
        'Development Status :: 4 - Beta',
        'Intended Audience :: Farmers',
        'License :: OSI Approved :: Affero GNU General Public License (AGPL)',
        'Programming Language :: Python :: 2.6',
        'Topic :: Web Application',
        ])
# EOF
